PrecisionModule
Keywords: uk.ac.ic.doc.automed.matching.modules.bidirectionalmap.PrecisionModule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.modules.bidirectionalmap
Class PrecisionModule

    java.lang.Object
      uk.ac.ic.doc.automed.matching.modules.AbstractModule
          uk.ac.ic.doc.automed.matching.modules.bidirectionalmap.PrecisionModule

    public class PrecisionModule

extends AbstractModule

The module that compares the schema elements by examining the precision of their instances

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.matching.modules.AbstractModule
`bidirectionalDegrees, frame, semanticMappingNames`

Constructor Summary
`PrecisionModule(java.util.ArrayList elementsA, java.util.ArrayList elementsB)` Constructs a `PrecisionModule` to compare the specified schema elements in the input lists.
`PrecisionModule(SchemaElement[] elementsA, SchemaElement[] elementsB)` Constructs a `PrecisionModule` to compare the specified schema elements in the input arrays.
`PrecisionModule(SchemaElementPair[] pairs)`

Method Summary
`static java.lang.Double` | `compareRange(ComparableExact fromMax, ComparableExact toMax, ComparableExact fromMin, ComparableExact toMin)`

Methods inherited from class uk.ac.ic.doc.automed.matching.modules.AbstractModule
`getBidirectionalDegrees, getBidirectionalDegrees, getBidirectionalSimilarity, getUSRs, saveDegrees, setBidirectionalDegrees, setUSRs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrecisionModule

    public PrecisionModule(java.util.ArrayList elementsA,
                           java.util.ArrayList elementsB)
                    throws UninstantiatedException

  Constructs a `PrecisionModule` to compare the specified schema elements in the input lists.

  Parameters:
    `elementsA` - a list of `SchemaElement` objects
    `elementsB` - a list of `SchemaElement` objects
  Throws:
    `UninstantiatedException` - if an element doesn't contain any instances

### PrecisionModule

    public PrecisionModule(SchemaElement[] elementsA,
                           SchemaElement[] elementsB)
                    throws UninstantiatedException

  Constructs a `PrecisionModule` to compare the specified schema elements in the input arrays.

  Parameters:
    `elementsA` - an array of `SchemaElement` objects
    `elementsB` - an array of `SchemaElement` objects
  Throws:
    `UninstantiatedException` - if an element doesn't contain any instances

### PrecisionModule

    public PrecisionModule(SchemaElementPair[] pairs)
                    throws UninstantiatedException

Throws:
  `UninstantiatedException`

Method Detail

### compareRange

    public static java.lang.Double compareRange(ComparableExact fromMax,
                                                ComparableExact toMax,
                                                ComparableExact fromMin,
                                                ComparableExact toMin)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD